Skip to main content
GET
/
v1
/
ai
/
apps
/
runs
/
{run-id}
Apps - Get workflow run status
curl --request GET \
  --url https://api.magnific.com/v1/ai/apps/runs/{run-id} \
  --header 'x-magnific-api-key: <api-key>'
{
  "data": {
    "run_id": "omps2OH829",
    "status": "completed",
    "app_id": "uqzQLDr2Aw",
    "started_at": "2026-02-25T12:00:00.000Z",
    "completed_at": "2026-02-25T12:02:00.000Z",
    "error_message": null,
    "result": {
      "images": [
        {
          "id": "abc123",
          "url": "https://pikaso.cdnpk.net/private/production/1234567890/render.png?token=exp_1234567890~hmac_abc123",
          "tool": "text-to-image",
          "duration": null,
          "width": 1024,
          "height": 1024,
          "created_at": "2026-02-25T12:02:00.000Z"
        }
      ],
      "videos": [],
      "audios": []
    }
  }
}

Authorizations

x-magnific-api-key
string
header
required

Your Magnific API key. Required for authentication. Learn how to obtain an API key

Path Parameters

run-id
string
required

Unique identifier (SQID) of the workflow run. This is the workflow_run_identifier value returned by the POST /v1/ai/apps/{app-id}/run endpoint.

Example:

"omps2OH829"

Response

OK - Run status and result.

data
object
required

Status and result of a single workflow app execution run.

Example:
{
"error_message": "error_message",
"result": {
"images": [
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
},
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
}
],
"audios": [
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
},
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
}
],
"videos": [
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
},
{
"duration": 0.8008281904610115,
"width": 6,
"created_at": "2026-02-11T10:14:15.000Z",
"id": "LSFgqqrswO",
"url": "https://pikaso.cdnpk.net/private/production/3280037299/render.png?token=...",
"tool": "text-to-image",
"height": 1
}
]
},
"completed_at": "2026-02-25T12:02:00.000Z",
"run_id": "omps2OH829",
"started_at": "2026-02-25T12:00:00.000Z",
"app_id": "uqzQLDr2Aw",
"status": "completed"
}